/* LISTAS */

ol, ul {
  list-style: circle;
  margin: 0;
  padding: 0 0 0 16px;
}

/* SELECCION TIPO DE ARCHIVO AYUDAVENTAS */

#video-radio:not(:checked) ~ #video-input,
#video-radio-edit:not(:checked) ~ #video-input-edit {
  display: none;
}

#file-radio:not(:checked) ~ #file-input,
#file-radio-edit:not(:checked) ~ #file-input-edit,
#file-radio-edit:not(:checked) ~ #file-link-edit  {
  display: none;
}

#file-link-edit[href=""],
#file-link-edit[href="null"] {
  display: none;
}

/* TABLA LUGARES */

.childs > ul {
  margin-bottom: -1px;
}

/* JERARQUIA RADIOS ANIDADOS */

.hierarchy-root {
  display: block !important;
  padding-left: 0 !important;
}

.hierarchy-active {
  display: block !important;
}

.hierarchy-active:last-child > .hierarchy-inactive {
  display: block !important;
}

.hierarchy-inactive {
  display: none;
}

input:disabled {
  opacity: 0.2;
}

input:disabled ~ span {
  opacity: 0.2;
}

/* MODAL */

.modal {
  background-color: rgba(0,0,0,0.7);
  position: fixed;
  display: grid;
  align-items: center;
  justify-items: center;
  width: 100%;
  height: 100vh;
  left: 0;
  top: 0;
  z-index: 10;
  display: none;
}

.modal.show {
  display: grid;
}

.modal-content {
  max-height: 80vh;
  overflow-y: auto;
}

/* CHECKBOX */

[type="checkbox"]:checked, [type="radio"]:checked {
  background-color: #14b8a6;
}

[type="checkbox"]:focus, [type="radio"]:focus {
  box-shadow: none;
}

[type="checkbox"]:checked:hover, [type="checkbox"]:checked:focus, [type="radio"]:checked:hover, [type="radio"]:checked:focus {
  background-color: #14b8a6;
  border-color: transparent;
}

/* LOADER SPINNER */

.lds-spinner {
  color: official;
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-spinner div {
  transform-origin: 40px 40px;
  animation: lds-spinner 1.2s linear infinite;
}

.lds-spinner div:after {
  content: " ";
  display: block;
  position: absolute;
  top: 3px;
  left: 37px;
  width: 6px;
  height: 18px;
  border-radius: 20%;
  background: #14b8a6;
}

.lds-spinner div:nth-child(1) {
  transform: rotate(0deg);
  animation-delay: -1.1s;
}

.lds-spinner div:nth-child(2) {
  transform: rotate(30deg);
  animation-delay: -1s;
}

.lds-spinner div:nth-child(3) {
  transform: rotate(60deg);
  animation-delay: -0.9s;
}

.lds-spinner div:nth-child(4) {
  transform: rotate(90deg);
  animation-delay: -0.8s;
}

.lds-spinner div:nth-child(5) {
  transform: rotate(120deg);
  animation-delay: -0.7s;
}

.lds-spinner div:nth-child(6) {
  transform: rotate(150deg);
  animation-delay: -0.6s;
}

.lds-spinner div:nth-child(7) {
  transform: rotate(180deg);
  animation-delay: -0.5s;
}

.lds-spinner div:nth-child(8) {
  transform: rotate(210deg);
  animation-delay: -0.4s;
}

.lds-spinner div:nth-child(9) {
  transform: rotate(240deg);
  animation-delay: -0.3s;
}

.lds-spinner div:nth-child(10) {
  transform: rotate(270deg);
  animation-delay: -0.2s;
}

.lds-spinner div:nth-child(11) {
  transform: rotate(300deg);
  animation-delay: -0.1s;
}

.lds-spinner div:nth-child(12) {
  transform: rotate(330deg);
  animation-delay: 0s;
}

@keyframes lds-spinner {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}